"""empty message

Revision ID: 1c99d34abadc
Revises: 4369daad67af
Create Date: 2021-03-26 00:39:34.028915

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1c99d34abadc'
down_revision = '4369daad67af'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('content_recommender',
    sa.Column('uuid', sa.String(length=50), nullable=False),
    sa.Column('record_id', sa.BIGINT(), nullable=True),
    sa.Column('recommended_content_id', sa.TEXT(), nullable=True),
    sa.PrimaryKeyConstraint('uuid')
    )
    op.create_table('popularity_recommender',
    sa.Column('uuid', sa.String(length=50), nullable=False),
    sa.Column('click_article_id', sa.BIGINT(), nullable=True),
    sa.Column('total_click_environment', sa.BIGINT(), nullable=True),
    sa.Column('date', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('uuid')
    )
    op.create_table('smtp_logs',
    sa.Column('uuid', sa.String(length=50), nullable=False),
    sa.Column('user_id', sa.BIGINT(), nullable=True),
    sa.Column('email', sa.String(length=200), nullable=False),
    sa.Column('rcode', sa.BIGINT(), nullable=True),
    sa.Column('timestamp', sa.DateTime(), nullable=False),
    sa.Column('status', sa.String(length=100), nullable=False),
    sa.PrimaryKeyConstraint('uuid')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('smtp_logs')
    op.drop_table('popularity_recommender')
    op.drop_table('content_recommender')
    # ### end Alembic commands ###
